/************************************************************************//**
 *
 * @file    c17_pwg.c
 *
 * @brief   This is PWG driver program file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#include <stdlib.h>
#include "crt0.h"
#include "c17_misc.h"
#include "c17_pwg.h"
#include "c17_init_config.h"

#if defined(C17_PE_PWG)

/************************************************************************//**
 * @brief   Set Pwg.
 *
 * @param   pwgMode
 *  @li @c  C17_PWG_AUTO
 *  @li @c  C17_PWG_RESERVE
 *  @li @c  C17_PWG_NORMAL
 *  @li @c  C17_PWG_ECONOMY
 *
 * @retval  none
 ***************************************************************************/
void c17setPwg(unsigned short pwgMode)
{

	/// disable write-protect.
	c17protectMiscOff();

	PWGVD1CTL = pwgMode;

	/// enable write-protect.
	c17protectMiscOn();
}
#endif

