/************************************************************************//**
 *
 * @file	main.c
 *
 * @brief	This is PWG sample program demonstration for S1C17F63 demonstration.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2018-2018. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Jun. 2018    1.00
 *              - First revision.
 *
 ***************************************************************************/
/************************************************************************//**
 * @main page	PWG
 *
 * @section		intro Introduction
 * Sample code set PWG.
 *
 * @subsection	step1	Step 1: Set PWG
 *
 * @section		install Installation
 * Start the IDE and import the "s1c17f63_sample" project.
 *
 *******************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include "c17_init_config.h"
#include "crt0.h"
#include "c17_misc.h"
#include "c17_pwg.h"

#ifdef C17_PE_PWG
/* --- definition --- */


/* --- global variable --- */


int main_pwg(void);

/************************************************************************//**
 * main function.
 *
 * @brief	Set PWG.
 *
 *
 * @return 	EXIT_SUCCESS	Success.
 * @return 	EXIT_FAILURE	Failed.
 ***************************************************************************/
int main_pwg(void)
{

	c17setPwg(C17_PWG_AUTO);

	return EXIT_SUCCESS;
}
#endif

